echo.
echo ********************************************************
echo                    GENERA MAPA 
echo ********************************************************


python %TOOLS_PY%\tmx2bin.py mapas\mapa\mapa.tmx binarios\mapa.bin
IF ERRORLEVEL 1 goto compilerError

echo ********************************************************
echo                    GENERATE LAYERS
echo ********************************************************


python %TOOLS_PY%\tmx2Capabin.py mapas\mapa\mapa.tmx binarios\capas.bin
IF ERRORLEVEL 1 goto compilerError

echo ********************************************************
echo                    GENERATE LIMITS
echo ********************************************************



if exist "%BIN_DIR%\limits.bin" del /f /q "%BIN_DIR%\limits.bin"
copy %LIMITS%\limits.bin %BIN_DIR%
rem  %LIMITS%\limits.bin
rem PAUSE
if exist "%BIN_DIR%\limits.txt" del /f /q "%BIN_DIR%\limits.txt"
copy %LIMITS%\limits.txt %BIN_DIR%\txts

echo ***********************************************************
echo                    BACKUP OBJECT METADATA
echo ***********************************************************

If exist "%BIN_DIR%\b_objects_Map.bin" del /f /q "%BIN_DIR%\b_objects_Map.bin"
IF ERRORLEVEL 1 goto compilerError

copy %OBJETOS%\b_objects_Map.bin %BIN_DIR%
IF ERRORLEVEL 1 goto compilerError

if exist "%BIN_DIR%\b_objects_Map.txt" del /f /q "%BIN_DIR%\txts\b_objects_Map.txt"
IF ERRORLEVEL 1 goto compilerError

copy %OBJETOS%\b_objects_Map.txt %BIN_DIR%\txts
IF ERRORLEVEL 1 goto compilerError










